curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"Channel::WebWidget": {
"open": 10,
"resolved": 20,
"pending": 5,
"snoozed": 2,
"total": 37
},
"Channel::Api": {
"open": 5,
"resolved": 15,
"pending": 3,
"snoozed": 1,
"total": 24
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get conversation statistics grouped by channel type
Get conversation counts grouped by channel type and status for a given date range. Returns statistics for each channel type including open, resolved, pending, snoozed, and total conversation counts.
Note: This API endpoint is available only in Yampi.ai version 4.10.0 and above. The date range is limited to a maximum of 6 months.
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/summary_reports/channel"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"Channel::WebWidget": {
"open": 10,
"resolved": 20,
"pending": 5,
"snoozed": 2,
"total": 37
},
"Channel::Api": {
"open": 5,
"resolved": 15,
"pending": 3,
"snoozed": 1,
"total": 24
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
The timestamp from where report should start (Unix timestamp).
The timestamp from where report should stop (Unix timestamp).
Response
Success
Channel summary report containing conversation counts grouped by channel type and status. Available in version 4.10.0+.
Conversation statistics for a specific channel type (e.g., Channel::WebWidget, Channel::Api)
Show child attributes
Show child attributes